<?php $__env->startPush('include-css'); ?>
    <link rel="stylesheet" href="<?php echo e(asset('asset/css/main-report.css')); ?>">
<?php $__env->stopPush(); ?>

<?php $__env->startSection('title'); ?>
    <?php echo e(config('settings.company_name')); ?> -> <?php echo e($extra['module_name']); ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

    <?php
    $transaction = new \App\Transaction();
    ?>

    <div class="mid">
        <div class="col-md-12 col-sm-12 col-lg-12 col-xl-12">
            <br>
            <h2 class="text-center"><?php echo e(config('settings.company_name')); ?></h2>
            <h6 class="text-center"><?php echo e(config('settings.address_1')); ?></h6>
            <br>
            <h4 class="text-center"><?php echo e($extra['voucher_type']); ?></h4>
            <hr>
        </div>
    </div>

    <div class="mid mb-3">
        <div class="row">
            <div class="col-md-12 col-sm-12 col-lg-12 col-xl-12">
                <table class="table table-bordered table-sm">
                    <thead>
                    <tr>
                        <td class="text-right">Search By:</td>
                        <td class="text-right">Head Of Account:</td>
                        <th><?php echo e($search_by['income_expense_head_name']); ?></th>
                        <td class="text-right">Branch Name:</td>
                        <th><?php echo e($search_by['branch_name']); ?></th>
                        <td class="text-right">From Date:</td>
                        <th><?php echo e($search_by['from']); ?></th>
                        <td class="text-right">To Date:</td>
                        <th><?php echo e($search_by['to']); ?></th>
                    </tr>
                    </thead>
                </table>
            </div>
        </div>
    </div>

    <div class="mid">
        <?php $__currentLoopData = $transaction_income_expense_head_ids_names; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $transaction_income_expense_head_id_name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <div class="row">
                <div class="col-md-12 col-sm-12 col-lg-12 col-xl-12">
                    <h4 class="text-center mb-3"><?php echo e($transaction_income_expense_head_id_name->income_expense_head_name); ?></h4>
                    <table class="table table-bordered table-sm table-hover">
                        <thead>
                        <tr>
                            <th class="text-center" scope="col">SL. No</th>
                            <th scope="col">Date</th>
                            <th scope="col">Branch Name</th>
                            <th scope="col">Mode Of Payment</th>
                            <th scope="col">Cheque Number</th>
                            <th scope="col">Particulars</th>
                            <th scope="col">Voucher No</th>
                            <th scope="col">Type Of Voucher</th>
                            <th class="text-right" scope="col">Dr ( <?php echo (config('settings.is_code') == 'code') ?
                                    config('settings.currency_code') : config('settings.currency_symbol')  ?> )
                            </th>
                            <th class="text-right" scope="col">Cr ( <?php echo (config('settings.is_code') == 'code') ?
                                    config('settings.currency_code') : config('settings.currency_symbol')  ?> )
                            </th>
                            <th class="text-right" scope="col">Balance
                                ( <?php echo (config('settings.is_code') == 'code') ?
                                    config('settings.currency_code') : config('settings.currency_symbol')  ?> )
                            </th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php
                        $index = 1;
                        $balance = 0;
                        ?>
                        <?php $__currentLoopData = $items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php if($transaction_income_expense_head_id_name->income_expense_head_id != $item->income_expense_head_id or $item->income_expense_head_id ==null ): ?>
                                <?php continue; ?>;
                            <?php endif; ?>
                            <?php if($transaction_income_expense_head_id_name->type): ?>  
                            <?php  $balance += $item->dr - $item->cr ?>   
                            <?php else: ?>
                                <?php  $balance += $item->cr - $item->dr ?>   
                            <?php endif; ?>
                            <?php $branch_name = null; ?>
                            <?php $bank_cash_name = null; ?>
                            <?php if(isset($item->bank_cash_id)): ?>
                                <?php $bank_cash_name = App\Transaction::find($item->id)->BankCash->name ?>
                            <?php endif; ?>
                            <?php if(isset($item->branch_id)): ?>
                                <?php $branch_name = App\Transaction::find($item->id)->Branch->name ?>
                            <?php endif; ?>
                            <tr>
                                <th class="text-center" scope="row"><?php echo e($index); ?></th>
                                <td><?php echo e(date(config('settings.date_format'), strtotime($item->voucher_date))); ?></td>
                                <td> <?php echo e($branch_name); ?> </td>
                                <td> <?php echo e($bank_cash_name); ?> </td>
                                <td> <?php echo e($item->cheque_number); ?> </td>
                                <td> <?php echo e($item->particulars); ?> </td>
                                <td class="text-center"> <?php echo e($item->voucher_no); ?> </td>
                                <td> <?php echo e($item->voucher_type); ?> </td>
                                <td class="text-right"><?php echo e($transaction->convert_money_format($item->dr)); ?></td>
                                <td class="text-right"><?php echo e($transaction->convert_money_format($item->cr)); ?></td>
                                <td class="text-right"><?php echo e($transaction->convert_money_format($balance)); ?></td>
                            </tr>
                            <?php $index++;
                            ?>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <th class="text-right" colspan="10">Total =</th>
                            <th class="text-right"><?php echo e($transaction->convert_money_format($balance)); ?></th>
                        </tr>
                        </tbody>
                    </table>
                </div>
            </div>
            <br>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </div>
<?php $__env->stopSection(); ?>



<?php echo $__env->make('layouts.pdf', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>