<?php

$moduleName = " Purchase Order Manage";
$createItemName = "All" . $moduleName;

$breadcrumbMainName = $moduleName;
$breadcrumbCurrentName = " All";

$breadcrumbMainIcon = "fas fa-shopping-cart";
$breadcrumbCurrentIcon = "archive";

$ModelName = 'App\PurchaseOrder';
$ParentRouteName = 'purchase_order';



$all = config('role_manage.PurchaseOrder.All');
$create = config('role_manage.PurchaseOrder.Create');
$delete = config('role_manage.PurchaseOrder.Delete');
$edit = config('role_manage.PurchaseOrder.Edit');
$pdf = config('role_manage.PurchaseOrder.Pdf');
$permanently_delete = config('role_manage.PurchaseOrder.PermanentlyDelete');
$restore = config('role_manage.PurchaseOrder.Restore');
$show = config('role_manage.PurchaseOrder.Show');
$trash_show = config('role_manage.PurchaseOrder.TrashShow');

$transaction = new App\Transaction();

?>


<?php $__env->startSection('title'); ?>
    <?php echo e($moduleName); ?> -> <?php echo e($breadcrumbCurrentName); ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('top-bar'); ?>
    <?php echo $__env->make('includes.top-bar', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('left-sidebar'); ?>
    <?php echo $__env->make('includes.left-sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>


    <section class="content">
        <div class="container-fluid">
            <div class="block-header pull-left">
                <a <?php if($create==0): ?>
                   class="dis-none"

                   <?php endif; ?> class="btn btn-sm btn-info waves-effect"
                   href="<?php echo e(route($ParentRouteName.'.create')); ?>">Create </a>

            </div>

            <ol class="breadcrumb breadcrumb-col-cyan pull-right">
                <li><a href="<?php echo e(route('dashboard')); ?>"><i class="material-icons">home</i> Home</a></li>
                <li><a href="<?php echo e(route($ParentRouteName)); ?>"><i
                                class="<?php echo e($breadcrumbMainIcon); ?>"></i><?php echo e($breadcrumbMainName); ?></a></li>
                <li class="active"><i
                            class="material-icons"><?php echo e($breadcrumbCurrentIcon); ?></i><?php echo e($breadcrumbCurrentName); ?></li>
            </ol>

            <!-- Hover Rows -->
            <div class="row">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="header">

                            <a class="btn btn-xs btn-info waves-effect"
                               href="<?php echo e(route($ParentRouteName)); ?>">All(<?php echo e($ModelName::all()->count()); ?>)</a>

                            <a <?php if($trash_show==0): ?>

                               class="dis-none"

                               <?php endif; ?> class="btn btn-xs btn-danger waves-effect text-black"
                               href="<?php echo e(route($ParentRouteName.'.trashed')); ?>">Trash(<?php echo e($ModelName::onlyTrashed()->count()); ?>

                                )</a>


                            <ul class="header-dropdown m-r--5">
                                <form class="search" action="<?php echo e(route($ParentRouteName.'.active.search')); ?>"
                                      method="get">
                                    <?php echo e(csrf_field()); ?>

                                    <input autofocus type="search" name="search" class="form-control input-sm "
                                           placeholder="Search"/>
                                </form>
                            </ul>
                        </div>
                        <form class="actionForm" action="<?php echo e(route($ParentRouteName.'.active.action')); ?>"
                              method="get">
                            <div class="row body">
                                <div class="margin-bottom-0 col-md-2 col-lg-2 col-sm-2">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <select class="form-control" name="apply_comand_top" id="">
                                                <option value="0">Select Action</option>
                                                <?php if($delete): ?>
                                                    <option value="3">Move To trash</option>
                                                    <option value="2">Permanently Delete</option>
                                                <?php endif; ?>
                                            </select>
                                        </div>
                                    </div>
                                </div>
                                <div class=" margin-bottom-0 col-md-2 col-lg-2 col-sm-2">
                                    <div class="form-group">
                                        <input class="btn btn-sm btn-info waves-effect" type="submit"
                                               value="Apply"
                                               name="ApplyTop">
                                    </div>
                                </div>
                                <div class=" margin-bottom-0 col-md-8 col-sm-8 col-xs-8">
                                    <div class="custom-paginate pull-right">
                                        <?php echo e($items->links()); ?>

                                    </div>
                                </div>
                            </div>
                            <div class="body table-responsive">
                                <?php echo e(csrf_field()); ?>


                                <?php if( count($items) >0 ): ?>
                                    <table class="table table-hover table-bordered table-sm">
                                        <thead>
                                        <tr>
                                            <th class="checkbox_custom_style text-center">
                                                <input name="selectTop" type="checkbox" id="md_checkbox_p"
                                                       class="chk-col-cyan"/>
                                                <label for="md_checkbox_p"></label>
                                            </th>
                                            <th data-toggle="tooltip"
                                                data-placement="top" title="Project Name">Name</th>
                                            <th data-toggle="tooltip"
                                                data-placement="top" title="Requisition ID">R ID</th>
                                            <th data-toggle="tooltip"
                                                data-placement="top" title="Purchase ID">P ID</th>

                                            <th data-toggle="tooltip"
                                                data-placement="top" title="<?php echo e($transaction->get_currency_code()); ?>">Amount</th>


                                            <th data-toggle="tooltip"
                                            data-placement="top" title="Vendor Name">V Name</th>
                                            <th data-toggle="tooltip"
                                                data-placement="top" title="Media Name">M Name</th>
                                            <th data-toggle="tooltip"
                                                data-placement="top" title="Issuing Date">I Date</th>
                                            <th  data-toggle="tooltip"
                                                 data-placement="top" title="Date of Delevery">DOD</th>
                                            <th  data-toggle="tooltip"
                                                 data-placement="top" title="Contract Person 1">CP 1</th>
                                            <th data-toggle="tooltip"
                                                data-placement="top" title="Contract Person 2">CP 2</th>

                                            <th>Options</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        <?php $i = 1; ?>
                                        <?php $__currentLoopData = $items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <tr>
                                                <th class="text-center">
                                                    <input name="items[id][]" value="<?php echo e($item->id); ?>"
                                                           type="checkbox" id="md_checkbox_<?php echo e($i); ?>"
                                                           class="chk-col-cyan selects "/>
                                                    <label for="md_checkbox_<?php echo e($i); ?>"></label>
                                                </th>

                                                <td><?php echo e(App\Branch::find($item->branch_id)->name); ?></td>

                                                <td><?php echo e($item->requisition_id); ?></td>
                                                <td><?php echo e($item->purchase_id); ?></td>
                                                <td><?php echo e($transaction->convert_money_format( $item->totalAmount )); ?></td>


                                                <td><?php echo e(App\Vendor::find($item->vendor_id)->name); ?></td>

                                                <td><?php echo e($item->media_name); ?></td>

                                                <td><?php echo e($transaction->date_format($item->issuing_date )); ?></td>
                                                <td><?php echo e($transaction->date_format($item->date_of_delevery)); ?></td>
                                                <td><?php echo e($item->contract_person_1); ?></td>
                                                <td><?php echo e($item->contract_person_2); ?></td>


                                                <td class="tdTrashAction">
                                                    <a <?php if($edit==0): ?>
                                                       class="dis-none"
                                                       <?php endif; ?> class="btn btn-xs btn-info waves-effect m-b-3"
                                                       href="<?php echo e(route($ParentRouteName.'.edit',['id'=>$item->id])); ?>"
                                                       data-toggle="tooltip"
                                                       data-placement="top" title="Edit"><i
                                                                class="material-icons">mode_edit</i></a>
                                                    <a <?php if($show==0): ?>
                                                       class="dis-none"
                                                       <?php endif; ?>  target="_blank"
                                                       data-target="#largeModal"
                                                       class="btn btn-xs btn-success waves-effect ajaxCall m-b-3"
                                                       href="<?php echo e(route($ParentRouteName.'.show',['id'=>$item->id])); ?>"
                                                       data-toggle="tooltip"
                                                       data-placement="top" title="Preview"><i
                                                                class="material-icons">pageview</i></a>
                                                    <a <?php if($delete==0): ?>
                                                       class="dis-none"
                                                       <?php endif; ?> class="btn btn-xs btn-danger waves-effect m-b-3"
                                                       href="<?php echo e(route($ParentRouteName.'.destroy',['id'=>$item->id])); ?>"
                                                       data-toggle="tooltip"
                                                       data-placement="top" title="Trash"> <i
                                                                class="material-icons">delete</i></a>
                                                    <a <?php if($pdf==0): ?>
                                                       class="dis-none"
                                                       <?php endif; ?>  class="btn btn-xs btn-warning waves-effect m-b-3 dis-none"
                                                       href="<?php echo e(route($ParentRouteName.'.pdf',['id'=>$item->id])); ?>"
                                                       data-toggle="tooltip"
                                                       data-placement="top" title="PDF Generator"> <i
                                                                class="material-icons">picture_as_pdf</i></a>
                                                </td>
                                            </tr>
                                        <?php $i++; ?>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <thead>
                                        <tr>
                                            <th class="checkbox_custom_style text-center">
                                                <input name="selectBottom" type="checkbox" id="md_checkbox_footer"
                                                       class="chk-col-cyan"/>
                                                <label for="md_checkbox_footer"></label>
                                            </th>
                                            <th data-toggle="tooltip"
                                                data-placement="top" title="Project Name">Name</th>
                                            <th data-toggle="tooltip"
                                                data-placement="top" title="Requisition ID">R ID</th>
                                            <th data-toggle="tooltip"
                                                data-placement="top" title="Purchase ID">P ID</th>

                                            <th data-toggle="tooltip"
                                                data-placement="top" title="<?php echo e($transaction->get_currency_code()); ?>">Amount</th>


                                            <th data-toggle="tooltip"
                                                data-placement="top" title="Vendor Name">V Name</th>
                                            <th data-toggle="tooltip"
                                                data-placement="top" title="Media Name">M Name</th>
                                            <th data-toggle="tooltip"
                                                data-placement="top" title="Issuing Date">I Date</th>
                                            <th  data-toggle="tooltip"
                                                 data-placement="top" title="Date of Delevery">DOD</th>
                                            <th  data-toggle="tooltip"
                                                 data-placement="top" title="Contract Person 1">CP 1</th>
                                            <th data-toggle="tooltip"
                                                data-placement="top" title="Contract Person 2">CP 2</th>

                                            <th>Options</th>
                                        </tr>
                                        </thead>

                                        </tbody>
                                    </table>
                                <?php else: ?>
                                    <div class="body table-responsive">
                                        <table class="table table-hover table-bordered">
                                            <thead>
                                            <tr>
                                                <th class="text-danger text-center">There Has No Data</th>
                                            </tr>
                                            </thead>
                                        </table>
                                    </div>
                                <?php endif; ?>

                            </div>
                            <div class="row body">
                                <div class="m-0 col-md-2 col-lg-2 col-sm-2">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <select class="form-control" name="apply_comand_bottom" id="">
                                                <option value="0">Select Action</option>
                                                <?php if($delete): ?>
                                                    <option value="3">Move To trash</option>
                                                    <option value="2">Permanently Delete</option>
                                                <?php endif; ?>

                                            </select>
                                        </div>
                                    </div>
                                </div>
                                <div class="margin-bottom-0 col-md-2 col-lg-2 col-sm-2">
                                    <div class="form-group">
                                        <input class="btn btn-sm btn-info waves-effect" type="submit"
                                               value="Apply"
                                               name="ApplyButtom">
                                    </div>
                                </div>
                                <div class=" margin-bottom-0 col-md-8 col-sm-8 col-xs-8">
                                    <div class="custom-paginate pull-right">
                                        <?php echo e($items->links()); ?>

                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>


                </div>
            </div>
            <!-- #END# Hover Rows -->
        </div>
    </section>

<?php $__env->stopSection(); ?>

<?php $__env->startPush('include-css'); ?>
    <!-- Wait Me Css -->
    <link href="<?php echo e(asset('asset/plugins/waitme/waitMe.css')); ?>" rel="stylesheet"/>

    <!-- Colorpicker Css -->
    <link href="<?php echo e(asset('asset/plugins/bootstrap-colorpicker/css/bootstrap-colorpicker.css')); ?>" rel="stylesheet"/>

    <!-- Dropzone Css -->
    <link href="<?php echo e(asset('asset/plugins/dropzone/dropzone.css')); ?>" rel="stylesheet">

    <!-- Multi Select Css -->
    <link href="<?php echo e(asset('asset/plugins/multi-select/css/multi-select.css')); ?>" rel="stylesheet">

    <!-- Bootstrap Spinner Css -->
    <link href="<?php echo e(asset('asset/plugins/jquery-spinner/css/bootstrap-spinner.css')); ?>" rel="stylesheet">

    <!-- Bootstrap Tagsinput Css -->
    <link href="<?php echo e(asset('asset/plugins/bootstrap-tagsinput/bootstrap-tagsinput.css')); ?>" rel="stylesheet">

    <!-- Bootstrap Select Css -->
    <link href="<?php echo e(asset('asset/plugins/bootstrap-select/css/bootstrap-select.css')); ?>" rel="stylesheet"/>


<?php $__env->stopPush(); ?>

<?php $__env->startPush('include-js'); ?>

    
    <script src="<?php echo e(asset('asset/plugins/autosize/autosize.js')); ?>"></script>

    <!-- Moment Plugin Js -->
    <script src="<?php echo e(asset('asset/plugins/momentjs/moment.js')); ?>"></script>

    <!-- Bootstrap Material Datetime Picker Plugin Js -->
    <script src="<?php echo e(asset('asset/plugins/bootstrap-material-datetimepicker/js/bootstrap-material-datetimepicker.js')); ?>"></script>

    <script src="<?php echo e(asset('asset/plugins/bootstrap-datepicker/js/bootstrap-datepicker.js')); ?>"></script>

    <script src="<?php echo e(asset('asset/js/pages/forms/basic-form-elements.js')); ?>"></script>
    <!-- Autosize Plugin Js -->


    <script>
        <?php if(Session::has('success')): ?>
            toastr["success"]('<?php echo e(Session::get('success')); ?>');
        <?php endif; ?>

                <?php if(Session::has('error')): ?>
            toastr["error"]('<?php echo e(Session::get('error')); ?>');
        <?php endif; ?>

                <?php if($errors->any()): ?>
                <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            toastr["error"]('<?php echo e($error); ?>');
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        <?php endif; ?>


    </script>

    
    <script src="<?php echo e(asset('asset/js/dataTable.js')); ?>"></script>
    <script>
        BaseController.init();
    </script>
<?php $__env->stopPush(); ?>




<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>