<?php $__env->startSection('title'); ?>
    <?php echo e($extra['module_name']); ?>

<?php $__env->stopSection(); ?>

<?php $__env->startPush('include-css'); ?>
    
    <link rel="stylesheet" href="<?php echo e(asset('asset/css/report.css')); ?>">

<?php $__env->stopPush(); ?>

<?php
$transaction = new \App\Transaction();
?>

<?php $__env->startSection('content'); ?>

    <div class="mid_section">
        <div class="row ">
            <div class="col-lg-12 col-sm-12 col-md-12 col-xl-12">
                <p class="mt-lg-1 mt-sm-1 mt-xl-1 mt-md-1 mb-lg-1 mb-sm-1 mb-xl-1 mb-md-1">Printing Date &
                    Time: <?php echo e($extra['current_date_time']); ?></p>
            </div>

        </div>
        <div class="row mt-2">
            <div class="col-lg-6 col-md-6 col-xl-6 col-sm-6 ">
                <div class="company_logo ">
                    <img src="<?php echo e(asset( config('settings.company_logo'))); ?>"
                         alt="">
                </div>
            </div>
            <div class="col-lg-6 col-md-6 col-xl-6 col-sm-6 ">
                <div class="requisition_no  float-lg-right float-md-right float-sm-right float-xl-right mt-lg-2 mt-md-2 mt-sm-2 mt-xl-2">
                    <table class="table table-bordered table-sm">
                        <tbody>
                        <tr>
                            <td class="text-center">Requisition No.</td>
                        </tr>
                        <tr>
                            <td class="text-center"><?php echo e($items->requisition_id); ?></td>
                        </tr>
                    </table>
                </div>
            </div>
        </div>
        <div class="row ">
            <div class="col-lg-12 col-sm-12 col-md-12 col-xl-12">
                <div class="border-bottom">
                    <h3 class="text-center"><?php echo e(config('settings.company_name')); ?></h3>
                    <p class="text-center"><?php echo e(config('settings.address_1')); ?></p>
                </div>
            </div>
        </div>
        <div class="row mt-2 ">
            <div class="col-lg-12 col-sm-12 col-md-12 col-xl-12 ">
                <h5 class="text-center">Purchase Requisition</h5>
            </div>
        </div>

        <div class="row mt-3 ">
            <div class="col-lg-6 col-sm-6 col-md-6 col-xl-6 ">
                <div class="project_description pt-3 border p-3">
                    <p>Project Name : <?php echo e(App\Branch::find($items->branch_id)->name); ?></p>
                    <p>Project Address : <?php echo e(App\Branch::find($items->branch_id)->location); ?></p>
                    <p>Contract : <?php echo e($items->contract_person); ?></p>
                    <p>Description : <?php echo e($items->purpose); ?></p>
                </div>
            </div>

            <div class="col-lg-6 col-sm-6 col-md-6 col-xl-6 ">
                <div class="project_description pt-3 border p-3">
                    <p>Requisition Date : <?php echo e($transaction->date_format($items->requisition_date)); ?></p>
                    <p>Required Date: <?php echo e($transaction->date_format($items->required_date)); ?></p>
                    <p>Requisition Raised By : <?php echo e(App\Employee::find($items->employee_id)->name); ?></p>
                </div>
            </div>
        </div>

        <div class="row mt-3">
            <div class="col-lg-12 col-sm-12 col-md-12 col-xl-12">
                <table class="table table-bordered table-sm">
                    <thead>
                    <tr>
                        <th scope="col" class="text-center">SL.NO.</th>
                        <th scope="col" class="text-left">Item Name</th>
                        <th scope="col" class="text-left">Unit</th>
                        <th scope="col" class="text-left">Required Quantity</th>
                        <th scope="col" class="text-left">Approx/Unit Cost ( <?php echo e($transaction->get_currency_code()); ?> )</th>
                        <th scope="col" class="text-left">Total Approx Value ( <?php echo e($transaction->get_currency_code()); ?> )</th>
                        <th scope="col" class="text-left">Remarks</th>

                    </tr>
                    </thead>
                    <tbody>

                    <?php
                        $encoded_item = json_decode($items->item);

                        $row_span=count($encoded_item->items)+1;

                        $sl= 1;
                    ?>

                    <?php $__currentLoopData = $encoded_item->items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <th scope="row" class="text-center"><?php echo e($sl); ?></th>
                            <td><?php echo e(App\IncomeExpenseHead::find($item->income_expense_head_id)->name); ?></td>
                            <td><?php echo e(App\IncomeExpenseHead::find($item->income_expense_head_id)->unit); ?></td>
                            <td><?php echo e($transaction->convert_money_format( $item->qntity )); ?></td>
                            <td><?php echo e($transaction->convert_money_format( $item->rate)); ?></td>
                            <td><?php echo e($transaction->convert_money_format( $item->amount)); ?></td>

                            <?php if( $sl ==1): ?>
                                <td rowspan="<?php echo e($row_span); ?>">asdf</td>
                            <?php endif; ?>
                        </tr>

                        <?php $sl++ ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                    <?php
                    if($row_span-1==5){
                        $height= 350;
                    }elseif ($row_span-1>=3){
                        $height= 400;
                    }elseif ($row_span-1>=1){
                        $height= 450;
                    }
                    ?>

                    <tr height="<?php echo e($height); ?>">
                        <th></th>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                    </tr>


                    <tr>
                        <th scope="row" colspan="5" class="text-right">Total =</th>
                        <th><?php echo e($transaction->convert_money_format($encoded_item->total_requisition_amount)); ?></th>
                        <th></th>
                    </tr>
                    </tbody>
                </table>
            </div>
        </div>


        <div class="row mb-5">
            <div class="col-lg-12 col-sm-12 col-md-12 col-xl-12">
                <p>In word: <span class="font-w-b"> <?php echo e($transaction->convert_number_to_words($encoded_item->total_requisition_amount)); ?>   <?php echo config('settings.currency_code'); ?> </span>
                    only.
                </p>
            </div>
        </div>

        <div class="row margin-top-20">
            <div class="col-lg-12 col-sm-12 col-md-12 col-xl-12">
                <table class="table">
                    <tr>
                        <td class="text-center border-n">
                            - - - - -<br>
                            Prepared by
                        </td>
                        <td class="text-center border-n">
                            - - - - -<br>
                            Checked by
                        </td>
                        <td class="text-center border-n">
                            - - - - -<br>
                            Forward by
                        </td>
                        <td class="text-center border-n">
                            - - - - -<br>
                            Approved by
                        </td>
                    </tr>
                </table>
            </div>
        </div>

<?php $__env->stopSection(); ?>



<?php echo $__env->make('layouts.pdf', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>