<?php $__env->startPush('include-css'); ?>
    <style>
        .mid {
            width: 96%;
            margin: auto;
        }

        p, h1, h2, h3, h4, h5, h6 {
            margin: 0px;
            padding: 0px;
        }

    </style>
<?php $__env->stopPush(); ?>

<?php $__env->startSection('title'); ?>
    <?php echo e(config('settings.company_name')); ?> -> <?php echo e($extra['module_name']); ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

    <?php
    $transaction = new \App\Transaction();
    ?>

    <div class="mid">
        <div style="float: left; width: 60px; text-align: center">
            <img style="width: 60px; height: 60px; margin-top: 20px;" src="<?php echo e(asset(config('settings.company_logo'))); ?>"
                 alt="">
        </div>
        <br>
    </div>

    <div class="mid">
        <div class="row">
            <div class="col-md-12 col-sm-12 col-lg-12 col-xl-12">
                <h2 class="text-center"><?php echo e(config('settings.company_name')); ?></h2>
                <h5 class="text-center"><?php echo e(config('settings.address_1')); ?></h5>
                <h4 class="text-center"><?php echo e($extra['voucher_type']); ?></h4>
                <hr>
            </div>
        </div>
    </div>

    <div class="mid mb-3">
        <div class="row">
            <div class="col-md-12 col-sm-12 col-lg-12 col-xl-12">
                <table class="table table-bordered table-sm">
                    <thead>
                    <tr>
                        <td class="text-right">Search By:</td>
                        <td class="text-right">Bank Cash Name:</td>
                        <th><?php echo e($search_by['bank_cash_name']); ?></th>
                        <td class="text-right">Branch Name:</td>
                        <th><?php echo e($search_by['branch_name']); ?></th>
                        <td class="text-right">From Date:</td>
                        <th><?php echo e($search_by['from']); ?></th>
                        <td class="text-right">To Date:</td>
                        <th><?php echo e($search_by['to']); ?></th>
                    </tr>
                    </thead>
                </table>
            </div>
        </div>
    </div>

    <div class="mid">
        <?php $__currentLoopData = $transaction_bank_cash_views; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $transaction_bank_cash_view): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <div class="row">
                <div class="col-md-12 col-sm-12 col-lg-12 col-xl-12">
                    <h4 class="text-center mb-3"><?php echo e($transaction_bank_cash_view->name); ?></h4>
                    <table class="table table-bordered table-sm table-hover">
                        <thead>
                        <tr>
                            <th class="text-center" scope="col">SL. No</th>
                            <th scope="col">Date</th>
                            <th scope="col">Branch Name</th>
                            <th scope="col">Particulars</th>
                            <th scope="col">Voucher No</th>
                            <th scope="col">Type Of Voucher</th>
                            <th class="text-right" scope="col">Dr ( <?php echo (config('settings.is_code') == 'code') ?
                                    config('settings.currency_code') : config('settings.currency_symbol')  ?> )
                            </th>
                            <th class="text-right" scope="col">Cr ( <?php echo (config('settings.is_code') == 'code') ?
                                    config('settings.currency_code') : config('settings.currency_symbol')  ?> )
                            </th>

                        </tr>
                        </thead>
                        <tbody>
                        <?php
                        $index = 1;
                        $dr_balance = 0;
                        $cr_balance = 0;
                        ?>
                        <?php $__currentLoopData = $items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php if($transaction_bank_cash_view->bank_cash_id != $item->bank_cash_id or $item->bank_cash_id ==null ): ?>
                                <?php continue; ?>;
                            <?php endif; ?>

                            <?php $branch_name = null; ?>
                            <?php if(isset($item->branch_id)): ?>
                                <?php $branch_name = App\Transaction::find($item->id)->Branch->name ?>
                            <?php endif; ?>

                            <tr>
                                <th class="text-center" scope="row"><?php echo e($index); ?></th>
                                <td><?php echo e(date(config('settings.date_format'), strtotime($item->voucher_date))); ?></td>
                                <td> <?php echo e($branch_name); ?> </td>
                                <td> <?php echo e($item->particulars); ?> </td>
                                <td class="text-center"> <?php echo e($item->voucher_no); ?> </td>
                                <td> <?php echo e($item->voucher_type); ?> </td>
                                <td class="text-right"><?php echo e($transaction->convert_money_format($item->dr)); ?></td>
                                <td class="text-right"><?php echo e($transaction->convert_money_format($item->cr)); ?></td>

                            </tr>
                            <?php $index++;
                            $dr_balance +=$item->dr;
                            $cr_balance +=$item->cr;
                            ?>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <th class="text-right" colspan="6">Total =</th>
                            <th class="text-right"><?php echo e($transaction->convert_money_format($dr_balance)); ?></th>
                            <th class="text-right"><?php echo e($transaction->convert_money_format($cr_balance)); ?></th>
                        </tr>
                        <tr>
                            <th class="text-right" colspan="6">Balance =</th>
                            <th class="text-left" colspan="2"><?php echo e($transaction->convert_money_format($cr_balance-$dr_balance)); ?></th>
                        </tr>

                        </tbody>
                    </table>
                </div>
            </div>
            <br>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </div>
<?php $__env->stopSection(); ?>



<?php echo $__env->make('layouts.pdf', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>