<?php $__env->startPush('include-css'); ?>
    <link rel="stylesheet" href="<?php echo e(asset('asset/css/main-report.css')); ?>">
<?php $__env->stopPush(); ?>

<?php $__env->startSection('title'); ?>
    <?php echo e(config('settings.company_name')); ?> -> <?php echo e($extra['module_name']); ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

    <?php
    $transaction = new \App\Transaction();
    ?>


    <div class="mid">
        <h2 class="text-center"><?php echo e(config('settings.company_name')); ?></h2>
        <h5 class="text-center "><?php echo e(config('settings.address_1')); ?></h5>
        <hr>
        <h4 class="text-center mb-4"><?php echo e($extra['voucher_type']); ?></h4>
    </div>

    <div class="mid mb-3">
        <div class="row">
            <div class="col-md-12 col-sm-12 col-lg-12 col-xl-12">
                <table class="table table-bordered table-sm">
                    <thead>
                    <tr>
                        <td class="text-right">Search By:</td>
                        <td class="text-right">Ledger Type</td>
                        <th class="text-left"><?php echo e($search_by['income_expense_type_name']); ?></th>
                        <td class="text-right">Branch Name:</td>
                        <th><?php echo e($search_by['branch_name']); ?></th>
                    </tr>
                    </thead>
                </table>
            </div>
        </div>
    </div>


    <div class="mid">

        <div class="row">

            <?php $slNo = 0; ?>

            <?php $TotalStartBalance = 0; ?>
            <?php $TotalEndBalance = 0; ?>

            <?php $__currentLoopData = $particulars; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $type_name=>$particular): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                <?php $slNo++; ?>

                <?php if($particular['headDetails']['TotalBalance']['start_balance']==0  and $particular['headDetails']['TotalBalance']['end_balance']==0  ): ?>
                    <?php continue; ?>
                <?php endif; ?>


                <div class="col-md-12 col-sm-12 col-lg-12 col-xl-12 mb-5">
                    <table class="table table-bordered table-sm table-hover">
                        <thead>
                        <tr>
                            <th class="text-center padding-t-8" colspan="3"><h3><?php echo e($type_name); ?></h3>
                            </th>
                        </tr>
                        <tr>
                            <th class="text-center">

                            </th>
                            <th class="text-center">
                                <h5>From <?php echo e($search_by['start_from']); ?> To <?php echo e($search_by['start_to']); ?></h5>
                            </th>
                            <th class="text-center">
                                <h5>From <?php echo e($search_by['end_from']); ?> To <?php echo e($search_by['end_to']); ?></h5>
                            </th>

                        </tr>
                        <tr>
                            <th class="text-left" scope="col">Ledger Name</th>
                            <th class="text-right" scope="col"> <?php echo (config('settings.is_code') == 'code') ?
                                    config('settings.currency_code') : config('settings.currency_symbol')  ?>
                            </th>
                            <th class="text-right" scope="col"> <?php echo (config('settings.is_code') == 'code') ?
                                    config('settings.currency_code') : config('settings.currency_symbol')  ?>
                            </th>
                        </tr>
                        </thead>
                        <tbody>

                        <?php $__currentLoopData = $particular['headDetails']['StartDate']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $ledger_name=>$ledger_balance): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                            <?php if($ledger_balance==0 and $particular['headDetails']['EndDate'][$ledger_name]==0): ?>
                                <?php continue; ?>
                            <?php endif; ?>


                            <tr>
                                <td class="text-left" scope="row"><?php echo e($ledger_name); ?></td>
                                <td scope="row" class=" text-right"><?php echo e($transaction->convert_money_format( $ledger_balance)); ?></td>
                                <td class="text-right"><?php echo e($transaction->convert_money_format( $particular['headDetails']['EndDate'][$ledger_name])); ?></td>
                            </tr>

                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                        <tr>
                            <th class="text-right"> Sub Total =</th>
                            <th class="text-right"><?php echo e($transaction->convert_money_format( $particular['balance']['start_balance'])); ?></th>
                            <th class="text-right"><?php echo e($transaction->convert_money_format( $particular['balance']['end_balance'])); ?></th>
                        </tr>

                        <?php

                        $TotalStartBalance += $particular['balance']['start_balance'];
                        $TotalEndBalance += $particular['balance']['end_balance'];

                        ?>


                        </tbody>
                    </table>
                </div>

            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

            <table class="table table-bordered">
                <thead>
                <tr>
                    <th class="text-right" ><h2>Grand Total = </h2></th>
                    <th class="text-right"><h2><?php echo e($transaction->convert_money_format( $TotalStartBalance)); ?> </h2></th>
                    <th class="text-right"><h2><?php echo e($transaction->convert_money_format( $TotalEndBalance)); ?> </h2></th>
                </tr>
                </thead>
            </table>


        </div>
        <br>
    </div>

<?php $__env->stopSection(); ?>



<?php echo $__env->make('layouts.pdf', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>