<?php $__env->startPush('include-css'); ?>
    <link rel="stylesheet" href="<?php echo e(asset('asset/css/main-report.css')); ?>">
<?php $__env->stopPush(); ?>

<?php $__env->startSection('title'); ?>
    <?php echo e(config('settings.company_name')); ?> -> <?php echo e($extra['module_name']); ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>


    <?php
        $transaction = new \App\Transaction();
    ?>


    <div class="mid">
        <div class="row">
            <div class="col-md-12 col-sm-12 col-lg-12 col-xl-12">
            <br>
            <h2 class="text-center"><?php echo e(config('settings.company_name')); ?></h2>
            <h6 class="text-center"><?php echo e(config('settings.address_1')); ?></h6>
            <br>
            <h4 class="text-center"><?php echo e($extra['voucher_type']); ?></h4>
            <hr>
            </div>
        </div>
        
    </div>

    
    

       

    <table class="table table-bordered">
        <tbody>

            <tr>
                <td>
                    <table class="table table-striped table-bordered table-sm">
                        <thead>
                            <tr>
                                <th class="text-center" colspan="2" scope="col">Customer Information</th>
                            </tr>
                            <tr>
                                <th scope="col">Description</th>
                                <th scope="col">Description</th>
                            </tr>
                        </thead>
                        <tbody>

                            <tr>
                                <td>File No.</td>
                                <td> <?php echo e(str_pad($infos['customer']->id, 4, '0', STR_PAD_LEFT)); ?> </td>
                            </tr>
                            <tr>
                                <td>Customer Name</td>
                                <td><?php echo e($infos['customer']->name); ?></td>
                            </tr>
                            <tr>
                                <td>Father Or Husband Name</td>
                                <td><?php echo e($infos['customer']->father_or_husband_name); ?></td>
                            </tr>
                            <tr>
                                <td>Contract Address</td>
                                <td><?php echo e($infos['customer']->mailing_address); ?></td>
                            </tr>
                            <tr>
                                <td>Phone No</td>
                                <td><?php echo e($infos['customer']->phone); ?></td>
                            </tr>
                            <tr>
                                <td>Email</td>
                                <td><?php echo e($infos['customer']->email); ?></td>
                            </tr>

                            <tr>
                                <td>NID</td>
                                <td><?php echo e($infos['customer']->nid); ?></td>
                            </tr>
                    
                        </tbody>
                    </table>


                    <table class="table table-striped table-bordered table-sm">
                        <thead>
                            <tr>
                                <th class="text-center" colspan="2" scope="col">Project Information</th>
                            </tr>
                            <tr>
                                <th scope="col">Description</th>
                                <th scope="col">Description</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr>
                                <td>Name</td>
                                <td><?php echo e($infos['branch']->name); ?></td>
                            </tr>
                            <tr>
                                <td>Location</td>
                                <td><?php echo e($infos['branch']->location); ?></td>
                            </tr>
                            <tr>
                                <td>Facing</td>
                                <td><?php echo e($infos['branch']->facing); ?></td>
                            </tr>
                            <tr>
                                <td>Apt Type</td>
                                <td><?php echo e($infos['product']->flat_type); ?></td>
                            </tr>

                            <tr>
                                <td>Apt Size</td>
                                <td><?php echo e($infos['product']->flat_size); ?></td>
                            </tr>
                            
                            <tr>
                                <td>Unite Price</td>
                                <td><?php echo e($transaction->convert_money_format( $infos['product']->unite_price)); ?></td>
                            </tr>

                        </tbody>
                    </table>


                </td>
                <td>
                   <table class="table table-striped table-bordered table-sm">
                        <thead>
                            <tr>
                                <th class="text-center" colspan="2" scope="col">Apartment Value Summery</th>
                            </tr>
                            <tr>
                                <th scope="col">Description</th>
                                <th scope="col">Description</th>
                            </tr>
                        </thead>
                        <tbody>

                            <?php
                                $apartMentPrice=$infos['product']->total_flat_price;
                                $discount_or_deduction=$infos['product']->discount_or_deduction;
                                $total_price=$apartMentPrice-$discount_or_deduction;

                                $total_apartment_value=$total_price+$infos['product']->car_parking_charge+$infos['product']->utility_charge;



                            ?>

                            <tr>
                                <td>Apartment Price</td>
                                <td><?php echo e($transaction->convert_money_format($apartMentPrice)); ?></td>
                            </tr>
                            <tr>
                                <td>(-) Discount</td>
                                <td><?php echo e($transaction->convert_money_format($discount_or_deduction)); ?></td>

                            </tr>
                            <tr class="font-w-b">
                                <td>Total Price</td>
                                <td><?php echo e($transaction->convert_money_format($total_price)); ?></td>

                            </tr>
                            <tr>
                                <td>Parking Charge</td>
                                <td><?php echo e($transaction->convert_money_format($infos['product']->car_parking_charge)); ?></td>

                            </tr>
                            <tr>
                                <td>Utility Charge</td>
                                <td><?php echo e($transaction->convert_money_format($infos['product']->utility_charge)); ?></td>

                            </tr>

                            <tr class="font-w-b">
                                <td>Total Apartment Value</td>
                                <td><?php echo e($transaction->convert_money_format($total_apartment_value)); ?></td>
                            </tr>
                            <tr>
                                <td>Additional Work Charge</td>
                                <td><?php echo e($transaction->convert_money_format($infos['product']->additional_work_charge)); ?></td>
                            </tr>

                            <tr>
                                <td>Other Charge</td>
                                <td><?php echo e($transaction->convert_money_format($infos['product']->other_charge)); ?></td>

                            </tr>
                            <tr>
                                <td>Refund Additional Work Charge</td>
                                <td><?php echo e($transaction->convert_money_format($infos['product']->refund_additional_work_charge)); ?></td>

                            </tr>
                            <tr class="font-w-b">
                                <td>Total Apt Value with Additional Charge</td>
                                <td><?php echo e($transaction->convert_money_format($infos['product']->net_sells_price)); ?></td>
                            </tr>
                            
                        </tbody>
                    </table>
                    


                    <table class="table table-striped table-bordered table-sm">
                    
                    <thead>
                        <tr>
                            <th class="text-center" colspan="2" scope="col">Project Information</th>
                        </tr>
                        <tr>
                            <th scope="col">Description</th>
                            <th scope="col">Description</th>
                        </tr>
                    </thead>

                    <tbody>
                        <tr>
                            <td>Floor</td>
                            <td><?php echo e($infos['product']->floor_number); ?></td>
                        </tr>

                        <tr>
                            <td>Sales Date</td>
                            <td><?php echo e($transaction->date_format( $infos['sells']->sells_date)); ?></td>
                        </tr>
                        <tr>
                            <td>Handover Date</td>
                            <td> <?php echo e($transaction->date_format( $infos['branch']->hand_over_date)); ?> </td>
                        </tr>
                    </tbody>
                </table>

                </td>
            </tr>
        </tbody>
    </table>


    <table class="table table-bordered">
        <tbody>

            <tr>
                <td class="text-center" colspan="2">Payment History</td>
            </tr>

            <tr>
                <td>
                    <table class="table table-striped table-bordered table-sm">
                        <thead>
                            <tr>
                                <th class="text-center" colspan="3" scope="col">Schedule Payment</th>
                            </tr>

                            <tr>
                                <th class="text-center" scope="col">Term</th>
                                <th class="text-center" scope="col">Date</th>
                                <th class="text-center" scope="col">Payable Amount</th>
                            </tr>
                            
                        </thead>
                        <tbody>

                            <?php
                                $total_payable_amount = 0;
                            ?>
                            <?php $__currentLoopData = $infos['schedule_receivable']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $schedule): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php
                                $total_payable_amount +=$schedule->payable_amount;
                            ?>
                            <tr>
                                    <td><?php echo e($schedule->term); ?></td>
                                <td><?php echo e($transaction->date_format($schedule->schedule_date)); ?></td>
                                <td><?php echo e($transaction->convert_money_format( $schedule->payable_amount)); ?></td>
                            </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                            <tr>
                                <th class="text-right" colspan="2" scope="col">Total</th>
                                <th  scope="col"><?php echo e($transaction->convert_money_format( $total_payable_amount)); ?></th>
                            </tr>
                            
                        </tbody>    
                    </table>

                </td>
                <td>
                    <table class="table table-striped table-bordered table-sm">
                        <thead>
                            <tr>
                                <th class="text-center" colspan="9" scope="col">Actual Payment</th>
                            </tr>

                            <tr>
                                <th class="text-center" scope="col">Term</th>
                                <th data-toggle="tooltip" data-placement="top" title="Date Of Collection" class="text-center" scope="col">Date</th>
                                <th data-toggle="tooltip" data-placement="top" title="Receive Amount ( <?php echo e($transaction->get_currency_code()); ?> )" class="text-center" scope="col">Receive Amount</th>
                                <th data-toggle="tooltip" data-placement="top" title="Adjustment ( <?php echo e($transaction->get_currency_code()); ?> )" class="text-center" scope="col">Adjustment</th>
                                <th data-toggle="tooltip" data-placement="top" title="Actual Amount ( <?php echo e($transaction->get_currency_code()); ?> )" class="text-center" scope="col">Actual Amount</th>
                                <th class="text-center" scope="col">Mode of Payment</th>
                                <th class="text-center" scope="col">Cheque No</th>
                                <th class="text-center" scope="col">Bank Name</th>
                                <th class="text-center" scope="col">Remark</th>
                            </tr>

                        </thead>
                        <tbody>

                            <?php
                                $total_received_amount =0;
                                $total_adjustment_amount =0;
                                $total_actual_amount =0;
                            ?>

                            <?php $__currentLoopData = $infos['actual_received_info']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $actual_received): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            
                            <?php
                                $total_received_amount += $actual_received->received_amount;
                                $total_adjustment_amount += $actual_received->adjustment;
                                $total_actual_amount += $actual_received->actual_amount;
                            ?>

                            <tr>
                                <td><?php echo e($actual_received->term); ?></td>
                                <td><?php echo e($transaction->date_format( $actual_received->date_of_collection)); ?></td>
                                <td><?php echo e($transaction->convert_money_format( $actual_received->received_amount)); ?></td>
                                <td><?php echo e($transaction->convert_money_format( $actual_received->adjustment)); ?></td>
                                <td><?php echo e($transaction->convert_money_format( $actual_received->actual_amount)); ?></td>
                                <td><?php echo e($actual_received->made_of_payment); ?></td>
                                <td><?php echo e($actual_received->cheque_no); ?></td>
                                <td><?php echo e($actual_received->bank_name); ?></td>
                                <td><?php echo e($actual_received->remark); ?></td>
                            </tr>

                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                            <?php
                                $due_amount= $total_payable_amount-$total_actual_amount;
                            ?>

                            <tr>
                                <th class="text-right" scope="col" colspan="2">Total</th>
                                
                                <th  scope="col"><?php echo e($transaction->convert_money_format( $total_received_amount)); ?></th>
                                <th  scope="col"><?php echo e($transaction->convert_money_format( $total_adjustment_amount)); ?></th>
                                <th  scope="col"><?php echo e($transaction->convert_money_format( $total_actual_amount)); ?></th>

                                <th  scope="col" colspan="4"></th>
                            </tr>
                            
                            <tr>
                                <th class="text-right" scope="col" colspan="4"><h5>Total Recieved Amount : <?php echo e($transaction->convert_money_format( $total_actual_amount)); ?></h5> </th>
                                
                                <th  scope="col" colspan="5"> <h5>Due Amount : <?php echo e($transaction->convert_money_format( $due_amount)); ?> </h5></th>
                            </tr>


                        </tbody>    
                    </table>

                </td>
            </tr>
        </tbody>
    </table>


    



        
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.pdf', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>